[med-svn] [jmodeltest] 02/05: Install more files that should be distributed
Andreas Tille
tille at debian.org
Thu May 12 10:14:04 UTC 2016
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository jmodeltest.
commit aa97a47a50a6f039185c417c634fe91f27cd8d36
Author: Andreas Tille <tille at debian.org>
Date: Thu May 12 11:13:18 2016 +0200
Install more files that should be distributed
---
debian/bin/runjmodeltest-cluster | 18 ++++++++++++++++++
debian/bin/runjmodeltest-gui | 11 +++++++++++
debian/docs | 1 +
debian/install | 6 ++++++
debian/links | 2 ++
debian/manifest | 2 ++
6 files changed, 40 insertions(+)
diff --git a/debian/bin/runjmodeltest-cluster b/debian/bin/runjmodeltest-cluster
new file mode 100755
index 0000000..d656762
--- /dev/null
+++ b/debian/bin/runjmodeltest-cluster
@@ -0,0 +1,18 @@
+#!/bin/sh
+if [ $# -lt 1 ] ; then
+ echo "Usage: $0 <# of cores> <datafiles>"
+ exit 1
+fi
+
+if [ ! -e machines ] ; then
+ cat <<EOT
+<machines> file cannot be found. Please follow the mpj documentation at
+ http://mpjexpress.blogspot.de/2013/11/installing-configuring-and-using-mpj.html
+to create one and start the according services
+EOT
+ exit 1
+fi
+
+export NP=$1
+shift
+mpjrun -dev niodev -wdir $PWD/ -np $NP -jar jModelTest.jar $*
diff --git a/debian/bin/runjmodeltest-gui b/debian/bin/runjmodeltest-gui
new file mode 100755
index 0000000..d7e170b
--- /dev/null
+++ b/debian/bin/runjmodeltest-gui
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+# export JAVA_HOME=/usr/lib/jvm/default-java
+export JAVA_CMD=java
+export JMODELTEST_HOME=/usr/share/jmodeltest
+
+# Include the wrappers utility script
+. /usr/lib/java-wrappers/java-wrappers.sh
+
+run_java -Xms128M -Xmx1G -jar /usr/share/jmodeltest/jModelTest.jar
diff --git a/debian/docs b/debian/docs
new file mode 100644
index 0000000..9c57234
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1 @@
+dist/README
diff --git a/debian/install b/debian/install
new file mode 100644
index 0000000..90ed098
--- /dev/null
+++ b/debian/install
@@ -0,0 +1,6 @@
+dist/jModelTest.jar usr/share/jmodeltest
+debian/bin usr
+dist/conf/* etc/jmodeltest/
+dist/example-data usr/share/jmodeltest
+src/main/resources/prottest.properties etc/prottest
+src/main/resources/models usr/share/prottest
diff --git a/debian/links b/debian/links
new file mode 100644
index 0000000..97113f5
--- /dev/null
+++ b/debian/links
@@ -0,0 +1,2 @@
+usr/share/jmodeltest/jModelTest.jar usr/share/java/jmodeltest.jar
+etc/jmodeltest usr/share/jmodeltest/conf
diff --git a/debian/manifest b/debian/manifest
new file mode 100644
index 0000000..af4834b
--- /dev/null
+++ b/debian/manifest
@@ -0,0 +1,2 @@
+usr/share/jmodeltest/jmodeltest.jar:
+ Class-Path: /usr/share/java/AbsoluteLayout.jar /usr/share/java/mpj.jar /usr/share/java/pal-cvs.jar /usr/share/java/alter.jar
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/jmodeltest.git
More information about the debian-med-commit
mailing list